/* _content/WEBEXAMES/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-6c7fxx8s9r] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-6c7fxx8s9r] {
    flex: 1;
}

.sidebar[b-6c7fxx8s9r] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-6c7fxx8s9r] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-6c7fxx8s9r]  a, .top-row[b-6c7fxx8s9r]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-6c7fxx8s9r]  a:hover, .top-row[b-6c7fxx8s9r]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-6c7fxx8s9r]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-6c7fxx8s9r] {
        justify-content: space-between;
    }

    .top-row[b-6c7fxx8s9r]  a, .top-row[b-6c7fxx8s9r]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-6c7fxx8s9r] {
        flex-direction: row;
    }

    .sidebar[b-6c7fxx8s9r] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-6c7fxx8s9r] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-6c7fxx8s9r]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-6c7fxx8s9r], article[b-6c7fxx8s9r] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-6c7fxx8s9r] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-6c7fxx8s9r] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/WEBEXAMES/Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-1yl6w4tnk9] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-1yl6w4tnk9] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-1yl6w4tnk9] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-1yl6w4tnk9] {
    font-size: 1.1rem;
}

.bi[b-1yl6w4tnk9] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-1yl6w4tnk9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-1yl6w4tnk9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-1yl6w4tnk9] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-1yl6w4tnk9] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-1yl6w4tnk9] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-1yl6w4tnk9] {
        padding-bottom: 1rem;
    }

    .nav-item[b-1yl6w4tnk9]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-1yl6w4tnk9]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-1yl6w4tnk9]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-1yl6w4tnk9] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-1yl6w4tnk9] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-1yl6w4tnk9] {
        display: none;
    }

    .nav-scrollable[b-1yl6w4tnk9] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* _content/WEBEXAMES/Components/Pages/ExamQuestions.razor.rz.scp.css */
.exam-container[b-shdtrjxdh9] {
    text-align: center;
}
/*.exam-container {
    max-width: 900px;
    margin: auto;
    margin-top: 25px;
    padding: 25px;
    background: #f8f9fb;
    border-radius: 10px;
    box-shadow: 0 3px 10px rgba(0,0,0,.1);
}*/

/* عنوان الصفحة */

/*.exam-title {
    text-align: center;
    font-weight: bold;
    color: #0d6efd;
    margin-bottom: 20px;
}*/

/* header */

/*.exam-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}*/

/* المؤقت */

/*.timer {
    color: red;
    font-weight: bold;
    font-size: 18px;
}*/

/* progress */

/*.progress {
    height: 12px;
    background: #ddd;
    border-radius: 8px;
    margin-bottom: 20px;
}

.progress-bar {
    height: 12px;
    background: #0d6efd;
    border-radius: 8px;
}*/

/* السؤال */

/*.question-box {
    background: white;
    padding: 20px;
    border-radius: 8px;
    margin-bottom: 20px;
    font-size: 18px;
    border: 1px solid #eee;
}*/

/* الاجابات */

/*.answer {
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 8px;
    cursor: pointer;
}

    .answer:hover {
        background: #eef3ff;
    }*/

/* textarea */

/*textarea {
    width: 100%;
    height: 120px;
    padding: 10px;
    border-radius: 6px;
    border: 1px solid #ccc;
}*/

/* الازرار */

/*.exam-buttons {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
}

.btn-exam {
    padding: 10px 18px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 14px;
}

.btn-prev {
    background: #6c757d;
    color: white;
}

.btn-next {
    background: #0d6efd;
    color: white;
}

.btn-end {
    background: #dc3545;
    color: white;
}*/

/* لوحة الاسئلة */

/*.navigator {
    margin-top: 25px;
    text-align: center;
}

.qbtn {
    width: 36px;
    height: 36px;
    border: none;
    border-radius: 5px;
    margin: 4px;
    cursor: pointer;
}*/

/* غير مجاب */

/*.qbtn-normal {
    background: #ddd;
}*/

/* مجاب */

/*.qbtn-done {
    background: #28a745;
    color: white;
}*/

/* السؤال الحالي */

/*.qbtn-current {
    background: #ffc107;
}*/
/* _content/WEBEXAMES/Components/Pages/LoginPage.razor.rz.scp.css */
.container[b-31m0tphsax] {
    width: 100%;
    min-height: 100vh; /* يملا طول الشاشة */
    background: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgb(244, 247, 251) 100%);
    border-radius: 0; /* نشيل الانحناء */
    padding: 25px 35px;
    box-sizing: border-box; /* مهم عشان padding مايعملش زيادة عرض */
    margin: 0;
}

.heading[b-31m0tphsax] {
    text-align: center;
    font-weight: 900;
    font-size: 30px;
    color: rgb(16, 137, 211);
}

.form[b-31m0tphsax] {
    margin-top: 20px;
}

    .form .input[b-31m0tphsax] {
        width: 100%;
        background: white;
        border: none;
        padding: 15px 20px;
        border-radius: 20px;
        margin-top: 15px;
        box-shadow: #cff0ff 0px 10px 10px -5px;
        border-inline: 2px solid transparent;
    }

        .form .input[b-31m0tphsax]::-moz-placeholder {
            color: rgb(170, 170, 170);
        }

        .form .input[b-31m0tphsax]::placeholder {
            color: rgb(170, 170, 170);
        }

        .form .input:focus[b-31m0tphsax] {
            outline: none;
            border-inline: 2px solid #12B1D1;
        }

    .form .forgot-password[b-31m0tphsax] {
        display: block;
        margin-top: 10px;
        margin-left: 10px;
    }

        .form .forgot-password a[b-31m0tphsax] {
            font-size: 11px;
            color: #0099ff;
            text-decoration: none;
        }

    .form .login-button[b-31m0tphsax] {
        display: block;
        width: 100%;
        font-weight: bold;
        background: linear-gradient(45deg, rgb(16, 137, 211) 0%, rgb(18, 177, 209) 100%);
        color: white;
        padding-block: 15px;
        margin: 20px auto;
        border-radius: 20px;
        box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 20px 10px -15px;
        border: none;
        transition: all 0.2s ease-in-out;
    }

        .form .login-button:hover[b-31m0tphsax] {
            transform: scale(1.03);
            box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 23px 10px -20px;
        }

        .form .login-button:active[b-31m0tphsax] {
            transform: scale(0.95);
            box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 15px 10px -10px;
        }

.social-account-container[b-31m0tphsax] {
    margin-top: 25px;
}

    .social-account-container .title[b-31m0tphsax] {
        display: block;
        text-align: center;
        font-size: 10px;
        color: rgb(170, 170, 170);
    }

    .social-account-container .social-accounts[b-31m0tphsax] {
        width: 100%;
        display: flex;
        justify-content: center;
        gap: 15px;
        margin-top: 5px;
    }

        .social-account-container .social-accounts .social-button[b-31m0tphsax] {
            background: linear-gradient(45deg, rgb(0, 0, 0) 0%, rgb(112, 112, 112) 100%);
            border: 5px solid white;
            padding: 5px;
            border-radius: 50%;
            width: 40px;
            aspect-ratio: 1;
            display: grid;
            place-content: center;
            box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 12px 10px -8px;
            transition: all 0.2s ease-in-out;
        }

            .social-account-container .social-accounts .social-button .svg[b-31m0tphsax] {
                fill: white;
                margin: auto;
            }

            .social-account-container .social-accounts .social-button:hover[b-31m0tphsax] {
                transform: scale(1.2);
            }

            .social-account-container .social-accounts .social-button:active[b-31m0tphsax] {
                transform: scale(0.9);
            }

.agreement[b-31m0tphsax] {
    display: block;
    text-align: center;
    margin-top: 15px;
}

    .agreement a[b-31m0tphsax] {
        text-decoration: none;
        color: #0099ff;
        font-size: 9px;
    }
